<?php

namespace App\Modules\BookingTour\Application\UpdateDate;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class UpdateDateBookingTourQuery implements Query
{
    public function __construct(
        private string $idBookingTour,
        private string $idBooking,
        public readonly ?string $dateBriefing,
        public readonly ?string $dateStart,
        public readonly ?string $pickUp,
        public readonly ?string $placeBriefing,
        public readonly ?string $useBookingPlaceBriefing,
        public readonly ?string $email,
        public readonly ?string $password,
        private string $idAdmin
    ) {}

    public function idBookingTour(): int
    {
        return $this->idBookingTour;
    }
    public function idBooking(): int
    {
        return $this->idBooking;
    }
    public function dateBriefing(): string
    {
        return $this->dateBriefing;
    }
    public function dateStart(): string
    {
        return $this->dateStart;
    }
    public function pickUp(): string
    {
        return $this->pickUp;
    }
    public function placeBriefing(): string
    {
        return $this->placeBriefing;
    }
    public function useBookingPlaceBriefing(): int
    {
        return $this->useBookingPlaceBriefing;
    }
    public function email(): ?string
    {
        return $this->email;
    }
    public function password(): ?string
    {
        return $this->password;
    }
    public function idAdmin(): string
    {
        return $this->idAdmin;
    }
}
